package com.syaroful.agrilinkvocpro.di

import com.syaroful.agrilinkvocpro.data.UserPreferences
import com.syaroful.agrilinkvocpro.data.repository.AuthRepository
import com.syaroful.agrilinkvocpro.data.repository.SensorDataRepository
import org.koin.android.ext.koin.androidContext
import org.koin.dsl.module

val appModule = module {
    single { AuthRepository(get()) }
    single { UserPreferences(androidContext()) }
    single { SensorDataRepository(get()) }
}
